Skip to main content
GET
/
stablecoin-provider-accounts
/
{stablecoinProviderAccountId}
Get a stablecoin provider account link
curl --request GET \
  --url https://api.lightspark.com/grid/2025-10-13/stablecoin-provider-accounts/{stablecoinProviderAccountId} \
  --header 'Authorization: Basic <encoded-value>'
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lightspark.com/grid/2025-10-13/stablecoin-provider-accounts/{stablecoinProviderAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
val client = OkHttpClient()

val request = Request.Builder()
.url("https://api.lightspark.com/grid/2025-10-13/stablecoin-provider-accounts/{stablecoinProviderAccountId}")
.get()
.addHeader("Authorization", "Basic <encoded-value>")
.build()

val response = client.newCall(request).execute()
{
  "id": "StablecoinProviderAccount:019542f5-b3e7-1d02-0000-000000000001",
  "provider": "BRALE",
  "providerAccountId": "2VcUIonJeVQzFoBuC7LdFT0dRe4",
  "createdAt": "2026-05-20T16:35:00Z",
  "updatedAt": "2026-05-20T16:35:00Z",
  "lastVerifiedAt": "2026-05-20T16:35:00Z"
}
{
"status": 401,
"message": "<string>",
"details": {}
}
{
"status": 404,
"message": "<string>",
"details": {}
}
{
"status": 500,
"message": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Path Parameters

stablecoinProviderAccountId
string
required

System-generated stablecoin provider account link identifier

Response

Successful operation

id
string
required

System-generated stablecoin provider account link identifier.

Example:

"StablecoinProviderAccount:019542f5-b3e7-1d02-0000-000000000001"

provider
enum<string>
required

Stablecoin provider backing the linked account, stablecoin, or operation.

Available options:
BRALE
providerAccountId
string
required

Provider account id.

Example:

"2VcUIonJeVQzFoBuC7LdFT0dRe4"

providerEnvironment
enum<string>
required

Provider environment derived from the authenticated Grid platform mode.

Available options:
SANDBOX,
PRODUCTION
status
enum<string>
required

Status of the linked stablecoin provider account credentials.

Available options:
ACTIVE,
INVALID,
REVOKED
createdAt
string<date-time>
required

Creation timestamp.

Example:

"2026-05-20T16:35:00Z"

updatedAt
string<date-time>
required

Last update timestamp.

Example:

"2026-05-20T16:35:00Z"

lastVerifiedAt
string<date-time>

Timestamp of the last successful provider credential verification.

Example:

"2026-05-20T16:35:00Z"